RDF::Redland::URI(3pm)

NAME
RDF::Redland::URI - Redland RDF URI Class

SYNOPSIS
  use RDF::Redland;

  my $uri=new RDF::Redland::URI("http://example.com/");

  my $uri2=RDF::Redland::URI->new_from_uri($uri);

  print $uri2->as_string,"\n";

DESCRIPTION
Represents a URI as a mostly-opaque object for identifying things in the RDF world. The URIs are also used for identifying features for the RDF::Redland::Parser and RDF::Redland::Serializer classes.

CONSTRUCTORS

new STRING
    Create a new RDF::Redland::URI object from a URI string.

clone URI
    Copy a RDF::Redland::URI

METHODS

as_string
    Return the statement formatted as a string (UTF-8 encoded).

equals URI
    Return non zero if this uri is equal to URI

OLD METHODS

new_from_uri URI
    Create a new RDF::Redland::URI object from RDF::Redland::URI URI (copy constructor). Instead use:

      $u=$uri->clone

SEE ALSO
RDF::Redland::Parser

AUTHOR
Dave Beckett - http://www.dajobe.org/